searchNodes=[{"doc":"Configuration-driven Ecto Schemata.","ref":"Flexto.html","title":"Flexto","type":"module"},{"doc":"Adds additional associations dynamically from app config.Reads config for the given OTP application, under the name of the current module. Each key maps to an Ecto.Schema function:belongs_tofieldhas_manyhas_onemany_to_manyEach of these keys should map to a keyword list where the key is the name of the field or association and the value is one of:A typeA tuple of type and options (keyword list)Example Schema:defmodule My.Schema do use Ecto.Schema import Flexto, only: [flex_schema: 1] schema &quot;my_table&quot; do field :name, :string # just normal schema things flex_schema(:my_app) # boom! give me the stuff end endExample configuration:config :my_app, My.Schema, belongs_to: [ foo: Foo, # belongs_to :foo, Foo bar: {Bar, type: :integer}, # belongs_to :bar, Bar, type: :integer ], field: [ foo: :string, # field :foo, :string bar: {:integer, default: 4}, # field :foo, :integer, default: 4 ], has_one: [ foo: Foo, # has_one :foo, Foo bar: {Bar, foreign_key: :the_bar_id}, # has_one :bar, Bar, foreign_key: :the_bar_id ] has_many: [ foo: Foo, # has_many :foo, Foo bar: {Bar, foreign_key: :the_bar_id}, # has_many :bar, Bar, foreign_key: :the_bar_id ] many_to_many: [ foo: Foo, # many_to_many :foo, Foo bar: {Bar, join_through: FooBar}, # many_to_many :bar, Bar, :join_through: FooBar ]This one won't work very well because we define foo and bar 5 times each, but I think you get the point.Reading of configuration is done during compile time. The relations will be baked in during compilation, thus:Do not expect this to work in release config.You will need to rebuild all dependencies which use this macro when you change their configuration.","ref":"Flexto.html#flex_schema/1","title":"Flexto.flex_schema/1","type":"macro"},{"doc":"hexdocsFlextoConfiguration-driven Ecto Schemas.","ref":"readme.html","title":"Flexto","type":"extras"},{"doc":"Example Schema:defmodule My.Schema do use Ecto.Schema import Flexto, only: [flex_schema: 1] schema &quot;my_table&quot; do field :name, :string # just normal schema things flex_schema(:my_app) # boom! give me the stuff end endExample configurationconfig :my_app, My.Schema, belongs_to: [ foo: Foo, # belongs_to :foo, Foo bar: {Bar, type: :integer}, # belongs_to :bar, Bar, type: :integer ], field: [ foo: :string, # field :foo, :string bar: {:integer, default: 4}, # field :foo, :integer, default: 4 ], has_one: [ foo: Foo, # has_one :foo, Foo bar: {Bar, foreign_key: :the_bar_id}, # has_one :bar, Bar, foreign_key: :the_bar_id ] has_many: [ foo: Foo, # has_many :foo, Foo bar: {Bar, foreign_key: :the_bar_id}, # has_many :bar, Bar, foreign_key: :the_bar_id ] many_to_many: [ foo: Foo, # many_to_many :foo, Foo bar: {Bar, join_through: FooBar}, # many_to_many :bar, Bar, :join_through: FooBar ] This one won't work very well because we define foo and bar 5 times each, but I think you get the point. Reading of configuration is done during compile time. The relations will be baked in during compilation, thus:Do not expect this to work in release config.You will need to rebuild all dependencies which use this macro when you change their configuration.","ref":"readme.html#usage","title":"Flexto - Usage","type":"extras"},{"doc":"Copyright (c) 2020 Flexto Contributors Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License athttp://www.apache.org/licenses/LICENSE-2.0Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#copyright-and-license","title":"Flexto - Copyright and License","type":"extras"}]